org.richfaces.application.push.impl

## Class SessionManagerImpl

- java.lang.Object
- - org.richfaces.application.push.impl.SessionManagerImpl

- All Implemented Interfaces:
    SessionManager

      public class SessionManagerImpl
      extends Object
      implements SessionManager

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionManagerImpl(ThreadFactory threadFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys all associated sessions
    `Session` | `getPushSession(String id)` Look ups session with given ID
    `void` | `putPushSession(Session session)` Registers session to the system
    `void` | `requeue(Session session)` Re-queues given session without actually adding it when it is not registered yet via `SessionManager.putPushSession(Session)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionManagerImpl

          public SessionManagerImpl(ThreadFactory threadFactory)

  - ### Method Detail

    - #### getPushSession

          public Session getPushSession(String id)

      Description copied from interface: `SessionManager`
      Look ups session with given ID
      Specified by:
        `getPushSession` in interface `SessionManager`

    - #### destroy

          public void destroy()

      Description copied from interface: `SessionManager`
      Destroys all associated sessions
      Specified by:
        `destroy` in interface `SessionManager`

    - #### putPushSession

          public void putPushSession(Session session)
                              throws IllegalStateException

      Description copied from interface: `SessionManager`
      Registers session to the system
      Specified by:
        `putPushSession` in interface `SessionManager`
      Throws:
        `IllegalStateException`

    - #### requeue

          public void requeue(Session session)

      Description copied from interface: `SessionManager`
      Re-queues given session without actually adding it when it is not registered yet via `SessionManager.putPushSession(Session)`.
      Specified by:
        `requeue` in interface `SessionManager`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.